Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::join_base_fn Struct Reference
Inheritance diagram for ranges::views::join_base_fn:

## Public Member Functions
template<typename Rng >
join_with_view< all_t< Rng >, single_view< inner_value_t< Rng > > > | operator() (Rng &&rng, inner_value_t< Rng > v) const
template<typename Rng , typename ValRng >
join_with_view< all_t< Rng >, all_t< ValRng > > | operator() (Rng &&rng, ValRng &&val) const
Public Member Functions inherited from ranges::views::cpp20_join_fn
template<typename Rng >
join_view< all_t< Rng > > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng >

join_with_view<all_t<Rng>, single_view<inner_value_t<Rng> > > ranges::views::join_base_fn::operator() | ( | Rng && | rng,
|  | inner_value_t< Rng > | v
| ) |  | const

Precondition
  requires `joinable_with_range<Rng, single_view<inner_value_t<Rng>>>`

## ◆ operator()() [2/2]

template<typename Rng , typename ValRng >

join_with_view<all_t<Rng>, all_t<ValRng> > ranges::views::join_base_fn::operator() | ( | Rng && | rng,
|  | ValRng && | val
| ) |  | const

Precondition
  requires `joinable_with_range<Rng, ValRng>`